SetBearerDetail

Set the details of the bearer that is identified by the given tracking number

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
customerReferenceString1-255 characters✓Customer reference linked with this card
trackingNumberString1-20 characters✓Tracking number that identifies the card to be returned
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateString✓Transaction date generated by the calling client
prefixString1-10 characters✓The salutation for the bearer (eg Mr, Mrs, Miss)
firstNameString1-50 characters✓The first name of the bearer
middleNameString1-50 charactersThe middle name of the bearer
lastNameString1-50 characters✓The last name of the bearer
idNumberString1-50 characters✓The identification number for the bearer
mobilePhoneAreaString1-10 characters✓The Mobile Phone Area of the bearer
mobilePhoneNumberString1-10 characters✓The Mobile Phone Number of the bearer
countryOfCitizenshipString✓The country of citizenship (three-letter country code defined in ISO 3166-1)
dateOfBirthString1-10000000 characters✓The date of birth (YYYY-MM-DD)
screeningRequestedInteger✓Indicator for whether screening was requested (1 if requested)
imageString✓The KYC Image for the Bearer
streetAddressString5 characters✓The street address of the card bearer. No special characters nor alphabetic, example “17014”
postalCodeString9 characters✓The postal code of the card bearer. This value is left-justified with right-space-fill, example”12345 “,”123456789”
cityAddressString✓City or area of the card bearer.
countryAddressString3 characters✓ISO Alpha code indicating the country. eg. GBR.
emailAddressString✓Email address of the card bearer.
checksumString1-255 characters✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<methodCall>
  <methodName>SetBearerDetail</methodName>
  <params>
    <param>
      <value>
        <string>terminal_equipo_id</string>
      </value>
    </param>
    <param>
      <value>
        <string>customer_ref</string>
      </value>
    </param>
    <param>
      <value>
        <string>998489300000075</string>
      </value>
    </param>
    <param>
      <value>
        <string>SBD-0000001</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20221130T11:03:42</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string></string>
      </value>
    </param>
    <param>
      <value>
        <string>Fulano</string>
      </value>
    </param>
    <param>
      <value>
        <string></string>
      </value>
    </param>
    <param>
      <value>
        <string>de Tal</string>
      </value>
    </param>
    <param>
      <value>
        <string>12345678901</string>
      </value>
    </param>
    <param>
      <value>
        <string>5514</string>
      </value>
    </param>
    <param>
      <value>
        <string>981927788</string>
      </value>
    </param>
    <param>
      <value>
        <string>Brazil</string>
      </value>
    </param>
    <param>
      <value>
        <string>1985-01-27</string>
      </value>
    </param>
    <param>
      <value>
        <int>0</int>
      </value>
    </param>
    <param>
      <value>
        <string></string>
      </value>
    </param>
    <param>
      <value>
        <string>22 Walnut St #23</string>
      </value>
    </param>
    <param>
      <value>
        <string>017404074</string>
      </value>
    </param>
    <param>
      <value>
        <string>Belo Horizonte</string>
      </value>
    </param>
    <param>
      <value>
        <string>BRA</string>
      </value>
    </param>
    <param>
      <value>
        <string>[email protected]</string>
      </value>
    </param>
    <param>
      <value>
        <string>F7324F6C44762237F3221D08A8D2E86A8DEA302EFDF3D9F6EF071ECB82239B1E</string>
      </value>
    </param>
  </params>
</methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>clientTransactionID</name>
            <value>
              <string>fb8344c9-2fc9-467b-87e4-55eaf88d06f1</string>
            </value>
          </member>
          <member>
            <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
          </member>
          <member>
            <name>terminalID</name>
            <value>
              <string>0020787431</string>
            </value>
          </member>
          <member>
            <name>customerReference</name>
            <value>
              <string>Cyp001</string>
            </value>
          </member>
          <member>
            <name>resultText</name>
            <value>
              <string>Success</string>
            </value>
          </member>
          <member>
            <name>serverTransactionID</name>
            <value>
              <string>F7055AEA-155D-00FA-4D41AC43204172A1</string>
            </value>
          </member>
          <member>
            <name>trackingNumber</name>
            <value>
              <string>412084400000001</string>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>